%define name	gtkdive
%define version	0.7
%define release 3mdk
%define summary	Buehlmann ZH-L16 model diving simulation

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
Source0:	http://mattzz.dyndns.org/twiki/pub/Projects/GtkDive/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
Patch:		%{name}-0.7.gcc4.patch.bz2
URL:		http://mattzz.dyndns.org/twiki/bin/view/Projects/GtkDive
License:	GPL
Group:		Games/Strategy
BuildRequires:	gtk+2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This program was written to learn about the Buehlmann ZH-L16 model that deals
with accumulation of inert gas in body tissues. Currently it compiles for
GNU/Linux.

Do not use this to plan any dive! 

%prep
%setup -q
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
%patch

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

# icons
install -D -m 644 %{name}-48.png %{buildroot}%{_liconsdir}/%{name}.png 
install -D -m 644 %{name}-32.png %{buildroot}%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-16.png %{buildroot}%{_miconsdir}/%{name}.png 

# menu entry
mkdir -p %{buildroot}%{_menudir}
cat >%{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}):\
	needs="x11"\
	section="More Applications/Sciences/Other"\
	title="GtkDive"\
	longtitle="%{summary}"\
	command="%{_bindir}/%{name}"\
	icon="%{name}.png"
EOF

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog README
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Fri Aug 26 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.7-3mdk
- fix build
- fix menu entry

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-2mdk 
- rebuild

* Mon Apr 26 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-1mdk
- first mdk release
